{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.CurrentTask":{"type":"object","description":"Asynchronous operation currently running","properties":{"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"id":{"type":"string","description":"Identifier of the current task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the task details","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.CurrentTaskStatusEnum"}],"description":"Current global status of the current task","nullable":true,"readOnly":true},"type":{"type":"string","description":"Type of the current task","readOnly":true}}},"common.CurrentTaskStatusEnum":{"type":"string","description":"Current status of a task. A task in ERROR cannot be retried without your inputs. PENDING tasks will be executed as soon as possible. A RUNNING task is currently executing your original request. SCHEDULED is used for tasks that will be executed in the future.","enum":["ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"common.ResourceStatusEnum":{"type":"string","description":"Current status of a resource","enum":["CREATING","CREATION_PLANNED","DELETING","ERROR","OUT_OF_SYNC","READY","SUSPENDED","UNKNOWN","UPDATING"]},"common.TaskError":{"type":"object","description":"Errors that occurred on the task","properties":{"message":{"type":"string","description":"Error description","readOnly":true}}},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"},"zimbra.BillingStatusEnum":{"type":"string","description":"Current billing status of a slot","enum":["CREATING","DELETED","DELETING","OK","REOPENING","SUSPENDED","SUSPENDING","UPDATING"]},"zimbra.OfferEnum":{"type":"string","description":"Commercial name of the offer","enum":["PRO","STARTER"]},"zimbra.SlotCurrentState":{"type":"object","description":"Object representing slot","properties":{"accountId":{"type":"string","description":"ID of the account to which the slot is tied","nullable":true,"format":"uuid","readOnly":true},"billingStatus":{"allOf":[{"$ref":"#/components/schemas/zimbra.BillingStatusEnum"}],"description":"Current billing status of a slot","readOnly":true},"createdAt":{"type":"string","description":"Date of creation","format":"date-time","readOnly":true},"domainPromotionLink":{"type":"string","description":"Domain for which the slot was given. Null when purchased separately.","nullable":true,"readOnly":true},"email":{"type":"string","description":"Email address of the account tied to the slot","nullable":true,"readOnly":true},"offer":{"allOf":[{"$ref":"#/components/schemas/zimbra.OfferEnum"}],"description":"Offer of the slot","readOnly":true},"platformId":{"type":"string","description":"ID of the platform to which the slot belongs","format":"uuid","readOnly":true}}},"zimbra.SlotResponse":{"type":"object","description":"Response for a Zimbra Slot","properties":{"checksum":{"type":"string","description":"Checksum hash in MD5 representation","readOnly":true},"currentState":{"allOf":[{"$ref":"#/components/schemas/zimbra.SlotCurrentState"}],"description":"Object representing slot","readOnly":true},"currentTasks":{"type":"array","description":"An array containing tasks responses pending on resource extends AsyncResourceBase object","items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"id":{"type":"string","description":"Resource identifier in UUID representation","format":"uuid","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Current resource status","readOnly":true}}}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/zimbra/platform/{platformId}/slot":{"get":{"operationId":"getAllZimbraSlots","summary":"List slots","description":"Returns the account slots of the platform with their offer, billing status and linked email account. Filter them by `accountId`, `email`, `offer`, `billingStatus` or `used`.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"query","name":"accountId","description":"Filter by account identifier of the slots","schema":{"type":"string"}},{"in":"query","name":"billingStatus","description":"Filter by the billing status of the slots","schema":{"type":"string"}},{"in":"query","name":"email","description":"Filter slot by an email","schema":{"type":"string"}},{"in":"query","name":"offer","description":"Filter by offer of the slots","schema":{"type":"string"}},{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"query","name":"used","description":"Filter by the empty account id of the slots","schema":{"type":"boolean"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/zimbra.SlotResponse"}}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::IncorrectFilterUsedType":{"value":{"class":"Client::BadRequest::IncorrectFilterUsedType","message":"The value for the `used` filter should be a boolean type"}},"Client::BadRequest::OfferIsIncorrect":{"value":{"class":"Client::BadRequest::OfferIsIncorrect","message":"The offer provided is incorrect"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::PlatformNotFound":{"value":{"class":"Client::NotFound::PlatformNotFound","message":"The platform was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Slots@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/zimbra/platform/{platformId}/slot\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/zimbra/platform/{platformId}/slot\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/slot/get","required":true}],"x-response-identifier":"id","x-expanded-response":"ZimbraSlotResponse"}},"/zimbra/platform/{platformId}/slot/{slotId}":{"get":{"operationId":"getZimbraSlot","summary":"Get a slot","description":"Returns the offer and billing status of the slot, and the email account using it. `accountId` and `email` are null while no account uses the slot.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"platformId","description":"Platform ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"slotId","description":"Slot ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/zimbra.SlotResponse"}}}},"400":{"description":"Error 400 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::BadRequest::MultipleSlotsFoundWithSameID":{"value":{"class":"Client::BadRequest::MultipleSlotsFoundWithSameID","message":"Multiple slots were found with the requested ID"}}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::PlatformNotFound":{"value":{"class":"Client::NotFound::PlatformNotFound","message":"The platform was not found"}},"Client::NotFound::SlotNotFound":{"value":{"class":"Client::NotFound::SlotNotFound","message":"The slot was not found"}}}}}}},"x-developer-hub-navigation":[["Web Cloud","Email and Collaborative Solutions","Zimbra","Slots@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/zimbra/platform/{platformId}/slot/{slotId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/zimbra/platform/{platformId}/slot/{slotId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"zimbra:apiovh:platform/slot/get","required":true}],"x-response-identifier":"id"}}}}
